org.apache.xalan.xsltc.compiler.util

## Class InternalError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.apache.xalan.xsltc.compiler.util.InternalError

All Implemented Interfaces:
  java.io.Serializable

    public class InternalError
    extends java.lang.Error

Marks a class of errors in which XSLTC has reached some incorrect internal state from which it cannot recover.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InternalError(java.lang.String msg)` Construct an `InternalError` with the specified error message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InternalError

    public InternalError(java.lang.String msg)

Construct an `InternalError` with the specified error message.

Parameters:
  `msg` - the error message